summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorDaniel Weipert <git@mail.dweipert.de>2024-01-02 20:42:01 +0100
committerDaniel Weipert <git@mail.dweipert.de>2024-01-05 12:33:59 +0100
commitb21316248572cb27ed1f504529ad6680a473022e (patch)
treef8a2f81258cae3b1d2429fb7df5a3287954b683a /bin
parentf621d95f89ded05a2e916c5ee363bfe75ea37482 (diff)
gemini
Diffstat (limited to 'bin')
-rw-r--r--bin/db.php17
-rwxr-xr-xbin/gemini.sh11
2 files changed, 28 insertions, 0 deletions
diff --git a/bin/db.php b/bin/db.php
index 84cb85c..8047b42 100644
--- a/bin/db.php
+++ b/bin/db.php
@@ -196,6 +196,23 @@ DB::query(<<<SQL
SQL);
DB::query(<<<SQL
+ create table if not exists "users_gemini" (
+ "id" bigserial primary key,
+
+ "certificate" character varying(255) not null,
+
+ "user_id" bigint not null,
+ constraint "relation_user"
+ foreign key ("user_id") references users("id") on delete cascade,
+
+ "created_at" timestamp(0) not null default current_timestamp,
+ "updated_at" timestamp(0) not null default current_timestamp,
+
+ unique ("certificate")
+ );
+SQL);
+
+DB::query(<<<SQL
create table if not exists "user_settings" (
"id" bigserial primary key,
diff --git a/bin/gemini.sh b/bin/gemini.sh
new file mode 100755
index 0000000..5c2a845
--- /dev/null
+++ b/bin/gemini.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+if ! type entr > /dev/null; then
+ apk add entr
+fi
+
+openssl req -x509 -newkey rsa:4096 -keyout key.rsa -out cert.pem -days 3650 -nodes -subj "/CN=localhost"
+
+# php $(pwd)/public/index.php
+#find $(pwd) -type f -name '*.php' -o -name '*.twig'
+find $(pwd) -type f \( -name "*.php" -o -name "*.twig" \) -not \( -path "*/vendor/*" \) | entr -rn php $(pwd)/public/index.php